View Issue Details

IDProjectCategoryView StatusLast Update
13132Bug reports[All Projects] Translationpublic2018-05-25 11:30
ReporterTonisOrmisson Assigned ToLouisGac  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.7.x 
Summary13132: Twig messages not picked up by traslation po file generators
Description

Im not sure whether its a bug or the translation files have not just been updated recently.

Anyway it seems that the method used for generating translation files from source does not pick up new strings form twig files.

Example:
https://github.com/LimeSurvey/LimeSurvey/blob/60bb95a7c9bcb615df7a39edbd0f601fd9cb8617/themes/survey/vanilla/views/layout_errors.twig#L58

can not be found here:
https://translate.limesurvey.org

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionna
Server OS (if known)na
Webserver software & version (if known)na
PHP Versionna

Activities

LouisGac

LouisGac

2018-01-08 11:35

manager   ~45455

"Anyway it seems that the method used for generating translation files from source does not pick up new strings form twig files. "

I can confirm it is not the case.

TonisOrmisson

TonisOrmisson

2018-01-08 11:52

developer   ~45465

OK so if it's just about updating the translations sources then please close this, Thanks for feedback

LouisGac

LouisGac

2018-01-08 11:58

manager   ~45469

We can let it open: indeed it's a real problem.

TonisOrmisson

TonisOrmisson

2018-01-08 12:02

developer   ~45472

OK I think I misunderstood.
Is the generator picking them up or not?

LouisGac

LouisGac

2018-01-08 12:13

manager   ~45475

the generator is not picking them up.

markusfluer

markusfluer

2018-04-26 15:24

administrator   ~47542

This has been solved, the "| t" is not working with our translation system
ALWAYS wrap translations in the gT() method. That way the translation system can grasp them and add them to the po files.

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47839

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2018-01-06 12:32 TonisOrmisson New Issue
2018-01-06 12:32 TonisOrmisson Status new => assigned
2018-01-06 12:32 TonisOrmisson Assigned To => c_schmitz
2018-01-08 11:35 LouisGac Note Added: 45455
2018-01-08 11:52 TonisOrmisson Note Added: 45465
2018-01-08 11:58 LouisGac Note Added: 45469
2018-01-08 12:02 TonisOrmisson Note Added: 45472
2018-01-08 12:13 LouisGac Note Added: 45475
2018-01-09 08:22 c_schmitz Assigned To c_schmitz => LouisGac
2018-04-26 15:24 markusfluer Note Added: 47542
2018-04-26 15:24 markusfluer Status assigned => resolved
2018-04-26 15:24 markusfluer Resolution open => fixed
2018-04-26 15:24 markusfluer Fixed in Version => 3.7.x
2018-05-25 11:30 c_schmitz Note Added: 47839
2018-05-25 11:30 c_schmitz Status resolved => closed